cURL
curl --request POST \ --url https://api.plurex.io/api/v1/hosts/query/ListAllOpenPositions \ --header 'Content-Type: application/json' \ --header 'X-API-KEY: <api-key>' \ --header 'X-API-SECRET: <api-key>' \ --data ' { "tenantId": "<string>", "cursor": "<string>" } '
{ "traceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "serverTime": "2023-11-07T05:31:56Z", "items": [ { "accountId": "<string>", "positions": [ { "instrument": { "base": "<string>", "quote": "<string>", "marketType": "<string>" }, "long": { "size": "<string>", "entryPrice": "<string>" }, "short": { "size": "<string>", "entryPrice": "<string>" }, "mode": "TwoWay" } ] } ], "warnings": [ "<string>" ], "nextCursor": "<string>" }
Get all open positions for all accounts across all hosts
Successful response
Unique identifier for tracing.
RFC3339 timestamp of processing.
Show child attributes
Use this value in the next request to fetch the following page.